OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_DegeneratePcurve Class Reference

`#include <StepGeom_DegeneratePcurve.hxx>`

Inheritance diagram for StepGeom_DegeneratePcurve:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_DegeneratePcurve ()
| Returns a DegeneratePcurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBasisSurface, const Handle(StepRepr_DefinitionalRepresentation)&aReferenceToCurve)
Standard_EXPORT void | SetBasisSurface (const Handle(StepGeom_Surface)&aBasisSurface)
Standard_EXPORT Handle_StepGeom_Surface | BasisSurface () const
Standard_EXPORT void | SetReferenceToCurve (const Handle(StepRepr_DefinitionalRepresentation)&aReferenceToCurve)
Standard_EXPORT Handle_StepRepr_DefinitionalRepresentation | ReferenceToCurve () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Surface | basisSurface
Handle_StepRepr_DefinitionalRepresentation | referenceToCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_DegeneratePcurve::StepGeom_DegeneratePcurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Surface StepGeom_DegeneratePcurve::BasisSurface | ( |  | ) | const

Standard_EXPORT const StepGeom_DegeneratePcurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Point. Reimplemented in StepGeom_EvaluatedDegeneratePcurve.

virtual Standard_EXPORT void StepGeom_DegeneratePcurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBasisSurface,
|  | const Handle(StepRepr_DefinitionalRepresentation)& | aReferenceToCurve
| ) | `[virtual]`

| Reimplemented in StepGeom_EvaluatedDegeneratePcurve.

virtual Standard_EXPORT void StepGeom_DegeneratePcurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepRepr_DefinitionalRepresentation StepGeom_DegeneratePcurve::ReferenceToCurve | ( |  | ) | const

Standard_EXPORT void StepGeom_DegeneratePcurve::SetBasisSurface | ( | const Handle(StepGeom_Surface)& | aBasisSurface | ) |

Standard_EXPORT void StepGeom_DegeneratePcurve::SetReferenceToCurve | ( | const Handle(StepRepr_DefinitionalRepresentation)& | aReferenceToCurve | ) |

## Field Documentation

Handle_StepGeom_Surface StepGeom_DegeneratePcurve::basisSurface`[private]`

Handle_StepRepr_DefinitionalRepresentation StepGeom_DegeneratePcurve::referenceToCurve`[private]`

The documentation for this class was generated from the following file:

- StepGeom_DegeneratePcurve.hxx